( function() {

	var app = {

		mobile_width: 991,

		init: function() {
			this.fixedHeader();
			this.naviDoubleTapEasing();
			this.OptimizeVideo();

		},



		fixedHeader: function() {
			/* Fixed Header */
			var scroll = jQuery(window).scrollTop();
			if( window.innerWidth > this.mobile_width && scroll > 0 ) {
				jQuery('#main-header').addClass('show-fh');
	        } else {
	            jQuery('#main-header').removeClass('show-fh');
		    }
		},

		naviDoubleTapEasing: function() {
			/* Double Tap */
			jQuery('#nav').navTabDoubleTap();

			/* Navigation Easing */
			/*jQuery.fn.slideFadeToggle  = function(speed, easing, callback) {
			    return this.animate({opacity: 'toggle', height: 'toggle'}, speed, easing, callback);
			};

			jQuery('.navi > li, #fixed-navi > li').hover(function(){
				jQuery('> ul', this).stop(true,true).slideFadeToggle('fast');
			},function(){
				jQuery('> ul', this).stop(true,true).slideFadeToggle('fast');
			});*/
		},

		OptimizeVideo: function(){
			

			jQuery('#main-wrapper').mouseenter(function () {
				jQuery('.current-video').html('<source src="https://player.vimeo.com/external/354784619.sd.mp4?s=d6d92b2346aea6cb9fa716594c43e633e165ca02&amp;profile_id=165" type="video/mp4">');
			});
			
			var ua = navigator.userAgent,
					event = (ua.match(/Mobile/i)) ? "touchstart" : "click";

			jQuery(document).on(event, function (ev) {
				var _checkvideo = jQuery('.current-video').html();
				if(!_checkvideo){
				 jQuery('.current-video').html('<source src="https://player.vimeo.com/external/354784619.sd.mp4?s=d6d92b2346aea6cb9fa716594c43e633e165ca02&amp;profile_id=165" type="video/mp4">');
				 }
			});
			
			
		},

	}


	jQuery(document).ready( function() {

		jQuery('body.error404 #breadcrumbs').wrap('<div class="ip-breadcrumbs-wrap"> <div class="container custom-container"></div></div>');

		jQuery('body.error404 #breadcrumbs').show();

		if(jQuery('#post-11139').length){
			jQuery('#post-11139').find('.press-holder').find('.press-item').each(function(){
				newhtml  = jQuery(this).find('a').html();
				jQuery(this).html(newhtml);
				

			});
		}

		app.init();

		app.OptimizeVideo();
        
        
        if (jQuery('#content-listings ul.grid').length != 0) {
            jQuery('#content-listings ul.grid li').chainHeight({
                    breakpoints: [
                        {
                            min: 701,
                        }
                    ]
            });
        }

	});

	jQuery(window).on('load', function(){


	});

	jQuery(window).on('scroll', function(){

		app.fixedHeader();

	});

	jQuery(window).on('resize', function(){

	});


})();
